net.minecraft.util

## Class Direction

- java.lang.Object
- - net.minecraft.util.Direction

-     public class Direction
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[][]` | `bedDirection`
    `static String[]` | `directions`
    `static int[]` | `directionToFacing` Maps a Direction value (2D) to a Facing value (3D).
    `static int[]` | `facingToDirection` Maps a Facing value (3D) to a Direction value (2D).
    `static int[]` | `offsetX`
    `static int[]` | `offsetZ`
    `static int[]` | `rotateLeft` Maps a direction to that to the left of it.
    `static int[]` | `rotateOpposite` Maps a direction to that opposite of it.
    `static int[]` | `rotateRight` Maps a direction to that to the right of it.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Direction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getMovementDirection(double par0, double par2)` Returns the movement direction from a velocity vector.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offsetX

          public static final int[] offsetX

    - #### offsetZ

          public static final int[] offsetZ

    - #### directions

          public static final String[] directions

    - #### directionToFacing

          public static final int[] directionToFacing

      Maps a Direction value (2D) to a Facing value (3D).

    - #### facingToDirection

          public static final int[] facingToDirection

      Maps a Facing value (3D) to a Direction value (2D).

    - #### rotateOpposite

          public static final int[] rotateOpposite

      Maps a direction to that opposite of it.

    - #### rotateRight

          public static final int[] rotateRight

      Maps a direction to that to the right of it.

    - #### rotateLeft

          public static final int[] rotateLeft

      Maps a direction to that to the left of it.

    - #### bedDirection

          public static final int[][] bedDirection

  - ### Constructor Detail

    - #### Direction

          public Direction()

  - ### Method Detail

    - #### getMovementDirection

          public static int getMovementDirection(double par0,
                                 double par2)

      Returns the movement direction from a velocity vector.